package com.ruoyi.mall.domain.vo;

/**
 * @ClassName IndexBannerVO
 * @Description 请描述类的业务用途
 * @Author linlinee
 * @Date 2021/12/3 10:37 AM
 * @Version 1.0
 **/

public class IndexBannerVO {
    /** 主键ID */
    private Long id;

    /** 图片名称 */
    private String name;

    /** 前图图片 */
    private String headUrl;

    /** 轮播类型: 0=不跳转,1=跳转商品, 2 跳转分类 */
    private String type;

    /** 背景图图片 */
    private String backgroundUrl;

    /** 关联资源ID,根绝type字段来区别是什么资源 */
    private Long resId;

    /** 关联资源ID,根绝type字段来区别是什么资源 */
    private String tagName;

    /** 方式：0-图片，1-视频 */
    private Integer style;

    /** 商品一级分类ID */
    private Long goodsClassOneId;

    public Long getGoodsClassOneId() {
        return goodsClassOneId;
    }

    public void setGoodsClassOneId(Long goodsClassOneId) {
        this.goodsClassOneId = goodsClassOneId;
    }

    public Integer getStyle() {
        return style;
    }

    public void setStyle(Integer style) {
        this.style = style;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHeadUrl() {
        return headUrl;
    }

    public void setHeadUrl(String headUrl) {
        this.headUrl = headUrl;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getBackgroundUrl() {
        return backgroundUrl;
    }

    public void setBackgroundUrl(String backgroundUrl) {
        this.backgroundUrl = backgroundUrl;
    }

    public Long getResId() {
        return resId;
    }

    public void setResId(Long resId) {
        this.resId = resId;
    }

    @Override
    public String toString() {
        return "IndexBannerVO{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", headUrl='" + headUrl + '\'' +
                ", type='" + type + '\'' +
                ", backgroundUrl='" + backgroundUrl + '\'' +
                ", resId=" + resId +
                '}';
    }
}
